% Example  
% Unstable B
% 

a = conv([1 -1],[1 -0.7]);  % (z-1)(z-0.7);
b = [0.9 1];                %  0.9z+1
c = [1 -0.7 0];             % z(z-0.7)
sysd=tf(b,a,-1);

% Minimum Variance Control bad version
[f,g]=deconv(c,a);
t = c;
s = g;
r = conv(b,f);
contr=tf(s,r,-1); % controller

clsys = tf(conv(b,t),conv(r,a)+conv(b,s),-1);
clsys = minreal(clsys);

% Simulate closed loop system
tmax=100;
e = randn(1,tmax);
y = lsim(clsys,e);
u = filter(-g,conv(b,f),y);
vary = var(y)

% Some plotting

figure(1);
subplot(211)
stairs(y,'linewidth',1.2);hold on
ylabel('y','fontsize',16);
set(gca,'fontsize',14)
axis([0 tmax -3 3]) 
subplot(212)
stairs(u,'linewidth',1.2);hold on
ylabel('u','fontsize',16);
set(gca,'fontsize',14)
axis([0 tmax -5e4 5e4])

% print -depsc b_unstable1.eps





